Subject: Re: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 12:12:49 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 09 Sep 2024 19:23:32 +0000
> 
> > Hello Eli,
> >
> > Any comments on v4?  I'd like to commit to unblock Philip.  Thanks!
> 
> Here is my updated patch.  If you want to, you can push both at once so
> that we can close the issue more quickly as soon as Eli has time to take
> a look:

I'm okay with installing both patches, but please first fix the few
minor nits below:

> +---
> +** New user option 'kill-word-dwim'.
> +This option will modify the fall-back behaviour of 'kill-region' if no
   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
"This option, if non-nil, modifies the fall-back behavior..."

> +region is active, and will kill the last word instead of raising an
> +error.

This should also say explicitly that users who turn off Transient Mark
mode will need to either activate the region ("C-x C-x" etc.) or
invoke the new word-rubout commands by hand, since otherwise the
region is never active for them.

> +(defcustom kill-region-dwim nil
> +  "Behaviour when `kill-region' is invoked without an active region.
> +If set to nil (default), the behaviour of `kill-region' stays the same.
                                ^^^^^^^^^                  ^^^^^^^^^^^^^^
"behavior", US English spelling.
The same as what?

Thanks.